
TYPO3.Surf - Bug # 50557

Status: Resolved Priority: Must have
Author: Martin Ficzel Category:
Created: 2013-07-30 Assigned To:
Updated: 2013-09-02 Due date:
Subject: workflow->removeTask does not work any more and is destroying the array structure
Description

Since commit 2b7d957eaf77acddef4028cd965822545b2853b0 the removeTask methods does destroy the structure of its internal
taks-array. The reason is a misordering in the task-array addressing in the mentioned commit.

The line 61 should be altered like this:

+ $this->tasks['stage'][$applicationName][$stageName][$step] = array_filter($tasks, function($task) use ($removeTask) { return
$task !== $removeTask; });
- $this->tasks['stage'][$applicationName][$step][$stageName] = array_filter($tasks, function($task) use ($removeTask) { return
$task !== $removeTask; });

Associated revisions
Revision 54d95846 - 2013-08-30 17:33 - Martin Ficzel

[BUGFIX] Fixed the workflow->removeTask method

After commit 2b7d957eaf77acddef4028cd965822545b2853b0 the method
destroyed the internal tasks-array instead of doing anything.

Change-Id: Ieca1c0f96a56f0954e5af13966d9f39a4ac88b1d
Fixes: #50557

History
#1 - 2013-07-30 13:33 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22698

#2 - 2013-08-07 11:39 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22698

#3 - 2013-08-30 17:33 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22698
#4 - 2013-09-02 15:30 - Martin Ficzel
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:54d9584651c635ed1c7107f88ed5a30932fb732d.
